/*! modernizr 3.6.0 (Custom Build) | MIT *
 * https://modernizr.com/download/?-audio-canvas-flexbox-flexboxlegacy-history-localstorage-sessionstorage-touchevents-video-websqldatabase-setclasses !*/
!(function (e, n, t) {
    function o(e, n) {
        return typeof e === n;
    }
    function r() {
        var e, n, t, r, a, s, i;
        for (var l in x)
            if (x.hasOwnProperty(l)) {
                if (((e = []), (n = x[l]), n.name && (e.push(n.name.toLowerCase()), n.options && n.options.aliases && n.options.aliases.length)))
                    for (t = 0; t < n.options.aliases.length; t++) e.push(n.options.aliases[t].toLowerCase());
                for (r = o(n.fn, 'function') ? n.fn() : n.fn, a = 0; a < e.length; a++)
                    (s = e[a]),
                        (i = s.split('.')),
                        1 === i.length
                            ? (Modernizr[i[0]] = r)
                            : (!Modernizr[i[0]] || Modernizr[i[0]] instanceof Boolean || (Modernizr[i[0]] = new Boolean(Modernizr[i[0]])),
                              (Modernizr[i[0]][i[1]] = r)),
                        T.push((r ? '' : 'no-') + i.join('-'));
            }
    }
    function a(e) {
        var n = b.className,
            t = Modernizr._config.classPrefix || '';
        if ((C && (n = n.baseVal), Modernizr._config.enableJSClass)) {
            var o = new RegExp('(^|\\s)' + t + 'no-js(\\s|$)');
            n = n.replace(o, '$1' + t + 'js$2');
        }
        Modernizr._config.enableClasses && ((n += ' ' + t + e.join(' ' + t)), C ? (b.className.baseVal = n) : (b.className = n));
    }
    function s() {
        return 'function' != typeof n.createElement
            ? n.createElement(arguments[0])
            : C
            ? n.createElementNS.call(n, 'http://www.w3.org/2000/svg', arguments[0])
            : n.createElement.apply(n, arguments);
    }
    function i() {
        var e = n.body;
        return e || ((e = s(C ? 'svg' : 'body')), (e.fake = !0)), e;
    }
    function l(e, t, o, r) {
        var a,
            l,
            c,
            u,
            d = 'modernizr',
            f = s('div'),
            p = i();
        if (parseInt(o, 10)) for (; o--; ) (c = s('div')), (c.id = r ? r[o] : d + (o + 1)), f.appendChild(c);
        return (
            (a = s('style')),
            (a.type = 'text/css'),
            (a.id = 's' + d),
            (p.fake ? p : f).appendChild(a),
            p.appendChild(f),
            a.styleSheet ? (a.styleSheet.cssText = e) : a.appendChild(n.createTextNode(e)),
            (f.id = d),
            p.fake && ((p.style.background = ''), (p.style.overflow = 'hidden'), (u = b.style.overflow), (b.style.overflow = 'hidden'), b.appendChild(p)),
            (l = t(f, e)),
            p.fake ? (p.parentNode.removeChild(p), (b.style.overflow = u), b.offsetHeight) : f.parentNode.removeChild(f),
            !!l
        );
    }
    function c(e, n) {
        return !!~('' + e).indexOf(n);
    }
    function u(e) {
        return e
            .replace(/([a-z])-([a-z])/g, function (e, n, t) {
                return n + t.toUpperCase();
            })
            .replace(/^-/, '');
    }
    function d(e, n) {
        return function () {
            return e.apply(n, arguments);
        };
    }
    function f(e, n, t) {
        var r;
        for (var a in e) if (e[a] in n) return t === !1 ? e[a] : ((r = n[e[a]]), o(r, 'function') ? d(r, t || n) : r);
        return !1;
    }
    function p(e) {
        return e
            .replace(/([A-Z])/g, function (e, n) {
                return '-' + n.toLowerCase();
            })
            .replace(/^ms-/, '-ms-');
    }
    function y(n, t, o) {
        var r;
        if ('getComputedStyle' in e) {
            r = getComputedStyle.call(e, n, t);
            var a = e.console;
            if (null !== r) o && (r = r.getPropertyValue(o));
            else if (a) {
                var s = a.error ? 'error' : 'log';
                a[s].call(a, 'getComputedStyle returning null, its possible modernizr test results are inaccurate');
            }
        } else r = !t && n.currentStyle && n.currentStyle[o];
        return r;
    }
    function m(n, o) {
        var r = n.length;
        if ('CSS' in e && 'supports' in e.CSS) {
            for (; r--; ) if (e.CSS.supports(p(n[r]), o)) return !0;
            return !1;
        }
        if ('CSSSupportsRule' in e) {
            for (var a = []; r--; ) a.push('(' + p(n[r]) + ':' + o + ')');
            return (
                (a = a.join(' or ')),
                l('@supports (' + a + ') { #modernizr { position: absolute; } }', function (e) {
                    return 'absolute' == y(e, null, 'position');
                })
            );
        }
        return t;
    }
    function v(e, n, r, a) {
        function i() {
            d && (delete j.style, delete j.modElem);
        }
        if (((a = o(a, 'undefined') ? !1 : a), !o(r, 'undefined'))) {
            var l = m(e, r);
            if (!o(l, 'undefined')) return l;
        }
        for (var d, f, p, y, v, g = ['modernizr', 'tspan', 'samp']; !j.style && g.length; ) (d = !0), (j.modElem = s(g.shift())), (j.style = j.modElem.style);
        for (p = e.length, f = 0; p > f; f++)
            if (((y = e[f]), (v = j.style[y]), c(y, '-') && (y = u(y)), j.style[y] !== t)) {
                if (a || o(r, 'undefined')) return i(), 'pfx' == n ? y : !0;
                try {
                    j.style[y] = r;
                } catch (h) {}
                if (j.style[y] != v) return i(), 'pfx' == n ? y : !0;
            }
        return i(), !1;
    }
    function g(e, n, t, r, a) {
        var s = e.charAt(0).toUpperCase() + e.slice(1),
            i = (e + ' ' + z.join(s + ' ') + s).split(' ');
        return o(n, 'string') || o(n, 'undefined') ? v(i, n, r, a) : ((i = (e + ' ' + E.join(s + ' ') + s).split(' ')), f(i, n, t));
    }
    function h(e, n, o) {
        return g(e, t, t, n, o);
    }
    var T = [],
        x = [],
        w = {
            _version: '3.6.0',
            _config: { classPrefix: '', enableClasses: !0, enableJSClass: !0, usePrefixes: !0 },
            _q: [],
            on: function (e, n) {
                var t = this;
                setTimeout(function () {
                    n(t[e]);
                }, 0);
            },
            addTest: function (e, n, t) {
                x.push({ name: e, fn: n, options: t });
            },
            addAsyncTest: function (e) {
                x.push({ name: null, fn: e });
            }
        },
        Modernizr = function () {};
    (Modernizr.prototype = w),
        (Modernizr = new Modernizr()),
        Modernizr.addTest('history', function () {
            var n = navigator.userAgent;
            return (-1 === n.indexOf('Android 2.') && -1 === n.indexOf('Android 4.0')) ||
                -1 === n.indexOf('Mobile Safari') ||
                -1 !== n.indexOf('Chrome') ||
                -1 !== n.indexOf('Windows Phone') ||
                'file:' === location.protocol
                ? e.history && 'pushState' in e.history
                : !1;
        }),
        Modernizr.addTest('sessionstorage', function () {
            var e = 'modernizr';
            try {
                return sessionStorage.setItem(e, e), sessionStorage.removeItem(e), !0;
            } catch (n) {
                return !1;
            }
        }),
        Modernizr.addTest('websqldatabase', 'openDatabase' in e);
    var b = n.documentElement,
        C = 'svg' === b.nodeName.toLowerCase(),
        P = w._config.usePrefixes ? ' -webkit- -moz- -o- -ms- '.split(' ') : ['', ''];
    (w._prefixes = P),
        Modernizr.addTest('video', function () {
            var e = s('video'),
                n = !1;
            try {
                (n = !!e.canPlayType),
                    n &&
                        ((n = new Boolean(n)),
                        (n.ogg = e.canPlayType('video/ogg; codecs="theora"').replace(/^no$/, '')),
                        (n.h264 = e.canPlayType('video/mp4; codecs="avc1.42E01E"').replace(/^no$/, '')),
                        (n.webm = e.canPlayType('video/webm; codecs="vp8, vorbis"').replace(/^no$/, '')),
                        (n.vp9 = e.canPlayType('video/webm; codecs="vp9"').replace(/^no$/, '')),
                        (n.hls = e.canPlayType('application/x-mpegURL; codecs="avc1.42E01E"').replace(/^no$/, '')));
            } catch (t) {}
            return n;
        }),
        Modernizr.addTest('audio', function () {
            var e = s('audio'),
                n = !1;
            try {
                (n = !!e.canPlayType),
                    n &&
                        ((n = new Boolean(n)),
                        (n.ogg = e.canPlayType('audio/ogg; codecs="vorbis"').replace(/^no$/, '')),
                        (n.mp3 = e.canPlayType('audio/mpeg; codecs="mp3"').replace(/^no$/, '')),
                        (n.opus = e.canPlayType('audio/ogg; codecs="opus"') || e.canPlayType('audio/webm; codecs="opus"').replace(/^no$/, '')),
                        (n.wav = e.canPlayType('audio/wav; codecs="1"').replace(/^no$/, '')),
                        (n.m4a = (e.canPlayType('audio/x-m4a;') || e.canPlayType('audio/aac;')).replace(/^no$/, '')));
            } catch (t) {}
            return n;
        }),
        Modernizr.addTest('canvas', function () {
            var e = s('canvas');
            return !(!e.getContext || !e.getContext('2d'));
        });
    var S = (w.testStyles = l);
    Modernizr.addTest('touchevents', function () {
        var t;
        if ('ontouchstart' in e || (e.DocumentTouch && n instanceof DocumentTouch)) t = !0;
        else {
            var o = ['@media (', P.join('touch-enabled),('), 'heartz', ')', '{#modernizr{top:9px;position:absolute}}'].join('');
            S(o, function (e) {
                t = 9 === e.offsetTop;
            });
        }
        return t;
    });
    var _ = 'Moz O ms Webkit',
        z = w._config.usePrefixes ? _.split(' ') : [];
    w._cssomPrefixes = z;
    var E = w._config.usePrefixes ? _.toLowerCase().split(' ') : [];
    (w._domPrefixes = E),
        Modernizr.addTest('localstorage', function () {
            var e = 'modernizr';
            try {
                return localStorage.setItem(e, e), localStorage.removeItem(e), !0;
            } catch (n) {
                return !1;
            }
        });
    var $ = { elem: s('modernizr') };
    Modernizr._q.push(function () {
        delete $.elem;
    });
    var j = { style: $.elem.style };
    Modernizr._q.unshift(function () {
        delete j.style;
    }),
        (w.testAllProps = g),
        (w.testAllProps = h),
        Modernizr.addTest('flexbox', h('flexBasis', '1px', !0)),
        Modernizr.addTest('flexboxlegacy', h('boxDirection', 'reverse', !0)),
        r(),
        a(T),
        delete w.addTest,
        delete w.addAsyncTest;
    for (var A = 0; A < Modernizr._q.length; A++) Modernizr._q[A]();
    e.Modernizr = Modernizr;
})(window, document);
