import { ClipboardAction } from './clipboard-action';
import { ICopyToClipboardAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Copy to clipboard action class
 */
export declare class CopyToClipboardAction extends ClipboardAction implements ICopyToClipboardAction {
    /**
     * Copy to clipboard action class constructor
     * @param rootId Root id
     * @param controlId control id
     */
    constructor(rootId: string, controlId: string);
}
