import { ConditionFieldAction } from './condition-field-action';
import { IExpression } from '../../../typedefinitions/models/expressions/IExpression';
import { IFirstFieldAction } from '../../../typedefinitions/models/actions/IConditionFieldAction';
/**
 * First field action class
 */
export declare class FirstFieldAction extends ConditionFieldAction implements IFirstFieldAction {
    /**
     * First field action class constructor
     * @param condition optional condition expression
     */
    constructor(condition?: IExpression);
}
