import { GoToFieldAction } from './go-to-field-action';
import { IGoToBlockFieldAction } from '../../../typedefinitions/models/actions/IGoToFieldAction';
/**
 * Go to block field action class
 */
export declare class GoToBlockFieldAction extends GoToFieldAction implements IGoToBlockFieldAction {
    /**
     * Go to block field action class constructor
     * @param fieldName Name of the block field to which to navigate
     */
    constructor(fieldName: string);
}
