import { GoToFieldAction } from './go-to-field-action';
import { IGoToFieldPropertyAction } from '../../../typedefinitions/models/actions/IGoToFieldAction';
/**
 * Go to field action class
 */
export declare class GoToFieldPropertyAction extends GoToFieldAction implements IGoToFieldPropertyAction {
    /**
     * Field property name property
     */
    FieldPropertyName: string;
    /**
     * Go to field action class constructor
     * @param fieldName Name of the field property's field to which to navigate
     * @param FieldPropertyName Name of the field property to which to navigate
     */
    constructor(fieldName: string, 
    /**
     * Field property name property
     */
    FieldPropertyName: string);
}
