import { ControlAction } from './control-action';
import { IPlayPauseVideoAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Play/pause video action class
 */
export declare class PlayPauseVideoAction extends ControlAction implements IPlayPauseVideoAction {
    /**
     * Play/pause video action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control for which to toggle between play and pause
     */
    constructor(rootId: string, controlId: string);
}
