import { ControlAction } from './control-action';
import { IPlayStopVideoAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Play/stop video action class
 */
export declare class PlayStopVideoAction extends ControlAction implements IPlayStopVideoAction {
    /**
     * Play/stop video action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control for which to toggle between play and Stop
     */
    constructor(rootId: string, controlId: string);
}
