import { Action } from './action';
import { IProcedureCallAction } from '../../../typedefinitions/models/actions/IProcedureCallAction';
import { IExpression } from '../../../typedefinitions/models/expressions/IExpression';
/**
 * Procedure call action class
 */
export declare class ProcedureCallAction extends Action implements IProcedureCallAction {
    /**
     * Expression property
     */
    Expression: IExpression;
    /**
     * Procedure call action class constructor
     * @param Expression Procedure call expression
     */
    constructor(
    /**
     * Expression property
     */
    Expression: IExpression);
}
