import { Action } from './action';
import { ISetDataEntrySettingsAction } from '../../../typedefinitions/models/actions/ISetDataEntrySettingsAction';
/**
 * Set data entry settings action class
 */
export declare class SetDataEntrySettingsAction extends Action implements ISetDataEntrySettingsAction {
    /**
     * Data entry settings property
     */
    DataEntrySettings: string;
    /**
     * Set data entry settings action class constructor
     * @param DataEntrySettings Data entry settings
     */
    constructor(
    /**
     * Data entry settings property
     */
    DataEntrySettings: string);
}
