import { Action } from './action';
import { IDictionary } from '../../../typedefinitions/models/IDictionary';
import { ISetDeviceFeaturesAction } from '../../../typedefinitions/models/actions/ISetDeviceFeaturesAction';
/**
 * Set device features action class
 */
export declare class SetDeviceFeaturesAction extends Action implements ISetDeviceFeaturesAction {
    /**
     * Device features property
     */
    Features: IDictionary<string>;
    /**
     * Set device features action class constructor
     * @param Features Device features to set
     */
    constructor(
    /**
     * Device features property
     */
    Features: IDictionary<string>);
}
