import { Action } from './action';
import { ISetLanguageAction } from '../../../typedefinitions/models/actions/ISetLanguageAction';
/**
 * Set language action class
 */
export declare class SetLanguageAction extends Action implements ISetLanguageAction {
    /**
     * Language name property
     */
    Language: string;
    /**
     * Set language action class constructor
     * @param Language Language name
     */
    constructor(
    /**
     * Language name property
     */
    Language: string);
}
