import { Action } from './action';
import { IShowDialogAction } from '../../../typedefinitions/models/actions/IShowDialogAction';
/**
 * Show dialog action class
 */
export declare class ShowDialogAction extends Action implements IShowDialogAction {
    /**
     * Dialog name property
     */
    DialogName: string;
    /**
     * Show dialog action class constructor
     * @param DialogName Name of the dialog to show
     */
    constructor(
    /**
     * Dialog name property
     */
    DialogName: string);
}
