import { ControlAction } from './control-action';
import { IStopVideoAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Stop video action class
 */
export declare class StopVideoAction extends ControlAction implements IStopVideoAction {
    /**
     * Stop video action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control to stop playing
     */
    constructor(rootId: string, controlId: string);
}
