import { ControlAction } from './control-action';
import { IToggleVisibilityAction } from '../../../typedefinitions/models/actions/IToggleVisibilityAction';
import { Visibility } from '../../../typedefinitions/enums/Visibility';
/**
 * Toggle visibility action class
 */
export declare class ToggleVisibilityAction extends ControlAction implements IToggleVisibilityAction {
    /**
     * InvisibleValue Invisible value visibility property
     */
    InvisibleValue: Visibility;
    /**
     * ToggleVisibility action class constructor
     * @param rootId Control root id
     * @param controlId Control id
     * @param InvisibleValue Visibility value to set
     */
    constructor(rootId: string, controlId: string, 
    /**
     * InvisibleValue Invisible value visibility property
     */
    InvisibleValue: Visibility);
}
