import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { IColorPropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/IColorPropertyValue';
import { IColor } from '../../../../../../typedefinitions/models/IColor';
/**
 * Color stylable constant property-value class
 */
export declare class ColorPropertyValue extends StylableConstantPropertyValue<IColor> implements IColorPropertyValue {
    /**
     * Color property-value class constructor
     * @param value
     */
    constructor(value: IColor);
}
