import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { IHorizontalAlignmentPropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/IHorizontalAlignmentPropertyValue';
import { HorizontalAlignment } from '../../../../../../typedefinitions/enums/HorizontalAlignment';
/**
 * Horizontal alignment stylable constant property-value class
 */
export declare class HorizontalAlignmentPropertyValue extends StylableConstantPropertyValue<HorizontalAlignment> implements IHorizontalAlignmentPropertyValue {
    /**
     * Horizontal alignment property-value class constructor
     * @param value
     */
    constructor(value: HorizontalAlignment);
}
