import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { ILineStylePropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/ILineStylePropertyValue';
import { LineStyle } from '../../../../../../typedefinitions/enums/LineStyle';
/**
 * Line style stylable constant property-value class
 */
export declare class LineStylePropertyValue extends StylableConstantPropertyValue<LineStyle> implements ILineStylePropertyValue {
    /**
     * Line style property-value class constructor
     * @param value
     */
    constructor(value: LineStyle);
}
