import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { IScrollBarVisibilityPropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/IScrollBarVisibilityPropertyValue';
import { ScrollBarVisibility } from '../../../../../../typedefinitions/enums/ScrollBarVisibility';
/**
 * Scroll bar visibility stylable constant property-value class
 */
export declare class ScrollBarVisibilityPropertyValue extends StylableConstantPropertyValue<ScrollBarVisibility> implements IScrollBarVisibilityPropertyValue {
    /**
     * Scroll bar visibility property-value class constructor
     * @param value
     */
    constructor(value: ScrollBarVisibility);
}
