import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { IScrollBarsPropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/IScrollBarsPropertyValue';
import { ScrollBars } from '../../../../../../typedefinitions/enums/ScrollBars';
/**
 * Scroll bars stylable constant property-value class
 */
export declare class ScrollBarsPropertyValue extends StylableConstantPropertyValue<ScrollBars> implements IScrollBarsPropertyValue {
    /**
     * Scroll bars property-value class constructor
     * @param value
     */
    constructor(value: ScrollBars);
}
