import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { IThicknessPropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/IThicknessPropertyValue';
import { IThickness } from '../../../../../../typedefinitions/models/IThickness';
/**
 * Thickness stylable constant property-value class
 */
export declare class ThicknessPropertyValue extends StylableConstantPropertyValue<IThickness> implements IThicknessPropertyValue {
    /**
     * Thickness property-value class constructor
     * @param value
     */
    constructor(value: IThickness);
}
