import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { IVerticalAlignmentPropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/IVerticalAlignmentPropertyValue';
import { VerticalAlignment } from '../../../../../../typedefinitions/enums/VerticalAlignment';
/**
 * Vertical alignment stylable constant property-value class
 */
export declare class VerticalAlignmentPropertyValue extends StylableConstantPropertyValue<VerticalAlignment> implements IVerticalAlignmentPropertyValue {
    /**
     * Vertical alignment property-value class constructor
     * @param value
     */
    constructor(value: VerticalAlignment);
}
