import { PropertyValue } from './property-value';
import { IExpressionPropertyValue } from '../../../../typedefinitions/models/server/client-side/property-values/IExpressionPropertyValue';
import { IExpression } from '../../../../typedefinitions/models/expressions/IExpression';
/**
 * Expression property-value class
 */
export declare class ExpressionPropertyValue extends PropertyValue implements IExpressionPropertyValue {
    /**
     * Expression property
     */
    readonly Expression: IExpression;
    /**
     * Expression property-value class constructor
     * @param Expression any expression
     */
    constructor(
    /**
     * Expression property
     */
    Expression: IExpression);
}
