import { RichTextElement } from '../rich-text-element';
import { Run } from './run';
import { IParagraph } from '../../../../typedefinitions/models/richText/IParagraph';
import { HorizontalAlignment } from '../../../../typedefinitions/enums/HorizontalAlignment';
export declare class Paragraph extends RichTextElement implements IParagraph {
    SimpleText?: string | undefined;
    Runs?: Run[] | undefined;
    Alignment?: HorizontalAlignment | undefined;
    constructor(SimpleText?: string | undefined, Runs?: Run[] | undefined, Alignment?: HorizontalAlignment | undefined);
    toHTML(): string;
    toPlainText(): string;
}
