import { RunElement } from './run-element/run-element';
import { ICurrentableFontDefinition } from '../../../../typedefinitions/models/richText/ICurrentableFontDefinition';
import { IRun } from '../../../../typedefinitions/models/richText/IRun';
export declare class Run implements IRun {
    Font: ICurrentableFontDefinition;
    Elements: Optional<RunElement[]>;
    SimpleText: Optional<string>;
    HeaderSize: number;
    Language: string;
    constructor(Font: ICurrentableFontDefinition, Elements: Optional<RunElement[]>, SimpleText: Optional<string>, HeaderSize: number, Language: string);
    toHTML(): string;
    toPlainText(): string;
}
