import { RichTextElement } from './rich-text-element';
import { RichTextConverterService } from '../../services/rich-text-converter.service';
import { IRichText } from '../../../typedefinitions/models/richText/IRichText';
export declare class RichText implements IRichText {
    private converterService;
    MaxTabCount: number;
    TextElements?: RichTextElement[] | undefined;
    SimpleText?: string | undefined;
    constructor(converterService: RichTextConverterService, MaxTabCount: number, TextElements?: RichTextElement[] | undefined, SimpleText?: string | undefined);
    toHTML(): string;
    toPlainText(): string;
}
