import { Paragraph } from '../paragraph/paragraph';
import { IBrush } from '../../../../typedefinitions/models/IBrush';
import { IColor } from '../../../../typedefinitions/models/IColor';
import { ITableCell } from '../../../../typedefinitions/models/richText/ITableCell';
import { IThickness } from '../../../../typedefinitions/models/IThickness';
import { VerticalAlignment } from '../../../../typedefinitions/enums/VerticalAlignment';
export declare class TableCell implements ITableCell {
    Background: IBrush;
    BorderColor: IColor;
    BorderWidth: IThickness;
    ColSpan: number;
    ColumnIndex: number;
    Margin: IThickness;
    Paragraphs: Paragraph[];
    RowSpan: number;
    SimpleText: string;
    VerticalTextAlignment: VerticalAlignment;
    constructor(Background: IBrush, BorderColor: IColor, BorderWidth: IThickness, ColSpan: number, ColumnIndex: number, Margin: IThickness, Paragraphs: Paragraph[], RowSpan: number, SimpleText: string, VerticalTextAlignment: VerticalAlignment);
    toHTML(): string;
    toPlainText(): string;
}
