import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * The clipboard directive is attached to an element and handles clipboard commands.
 */
export declare class ClipboardDirective {
    changeSubject: Subject<string>;
    onCut(): void;
    onCopy(): void;
    onPaste(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClipboardDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ClipboardDirective, "[bl5Clipboard]", never, { "changeSubject": { "alias": "bl5Clipboard"; "required": false; }; }, {}, never, never, false, never>;
}
