import { MouseEventService } from '../services/mouse-event.service';
import * as i0 from "@angular/core";
/**
 * The window-mouse-event directive is attached to the blaise main component
 */
export declare class WindowMouseEventDirective {
    private mouseEventService;
    /**
     * Window mouse event directive class constructor
     * @param mouseEventService Mouse event service class.
     */
    constructor(mouseEventService: MouseEventService);
    static ɵfac: i0.ɵɵFactoryDeclaration<WindowMouseEventDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<WindowMouseEventDirective, "[bl5WindowMouseEvent]", never, {}, {}, never, never, false, never>;
}
