import { PipeTransform } from '@angular/core';
import { IColumnViewModel } from '../../typedefinitions/models/ITableLayout';
import * as i0 from "@angular/core";
/**
 * The draw column pipe interface filters out all non-drawable columns from a list of columns
 */
export declare class DrawColumnPipe implements PipeTransform {
    /**
     * When invoked, performs a filter action on a list of columns including only the drawable columns
     * @param allColumns list with column information from which to filter
     */
    transform(allColumns: IColumnViewModel[]): IColumnViewModel[];
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawColumnPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<DrawColumnPipe, "drawColumn", false>;
}
