/**
 * The base empty strategy class serves as an abstract base class for strategy classes that allow creation of key press corresponding commands components
 */
export declare abstract class BaseEmptyStrategy {
    /**
     * Log function for strategy classes
     * @param functionName
     * @param value
     */
    log(functionName: string, ...value: any[]): void;
}
