/**
 * enum containing values for the aria live attribute which indicate what user agent change notifications (additions, removals, etc.) assistive technologies will receive within a live region. See related aria-atomic.
 */
export declare enum AriaRelevant {
    Additions = "additions",
    Removals = "removals",
    Text = "text",
    All = "all"
}
