export declare enum HeaderTextSource {
    /**
     * Use the name property as text source
     */
    Name = 0,
    /**
     * Use the text from the data-model
     */
    Text = 1,
    /**
     * Use the text from the data-model if available, otherwise use the name property
     */
    TextOrName = 2
}
