export declare enum ToWhomKind {
    /**
     * Only appointments to the specified interviewer
     */
    InterviewerOnly = 0,
    /**
     * Appointments to the specified interviewer or to groups of which the interviewer is a member
     */
    InterviewerAndGroups = 1,
    /**
     * Only appointments to the specified group
     */
    GroupOnly = 2,
    /**
     *Appointments to anyone
     */
    Anyone = 3
}
