/**
 * The color interface defines the data object structure for color properties (font, background, ...) in controls
 */
export interface IColor {
    /**
     * Red, value in range [0,255]
     */
    R: number;
    /**
     * Green, value in range [0,255]
     */
    G: number;
    /**
     * Blue, value in range [0,255]
     */
    B: number;
    /**
     * Alpha/Opacity, value in range [0,255]
     */
    A: number;
}
