import { DataType } from '../enums/DataType';
import { AnswerStatus } from '../enums/AnswerStatus';
export interface IDataValue {
    AnswerStatus: AnswerStatus;
    DataType: DataType;
    SpecialAnswer: Nullable<string>;
    ValueAsString: Nullable<string>;
    FileName: string;
    MimeType: string;
    Data: any[];
    /**
     * dirty checking for critical fields
     */
    IsDirty?: boolean;
    /**
     * optional value property of an unknown type
     */
    Value?: any;
}
