import { INavigationCommand } from './INavigationCommand';
export interface INavigationModeStrategy {
    tabKeyPressed(event: KeyboardEvent): INavigationCommand[];
    f2KeyPressed(event: KeyboardEvent): INavigationCommand[];
    enterKeyPressed(event: KeyboardEvent): INavigationCommand[];
    leftKeyPressed(event: KeyboardEvent): INavigationCommand[];
    rightKeyPressed(event: KeyboardEvent): INavigationCommand[];
    upKeyPressed(event: KeyboardEvent): INavigationCommand[];
    downKeyPressed(event: KeyboardEvent): INavigationCommand[];
    pageUpKeyPressed(event: KeyboardEvent): INavigationCommand[];
    pageDownKeyPressed(event: KeyboardEvent): INavigationCommand[];
    homeKeyPressed(event: KeyboardEvent): INavigationCommand[];
    endKeyPressed(event: KeyboardEvent): INavigationCommand[];
    shiftTabPressed(event: KeyboardEvent): INavigationCommand[];
    escapePressed(event: KeyboardEvent): INavigationCommand[];
    spacePressed(event: KeyboardEvent): INavigationCommand[];
    getName(): string;
}
