import { RangeKind } from '../enums/RangeKind';
export interface IRange {
    Kind: RangeKind;
}
export interface IMinMaxRange extends IRange {
    MinValue: number;
    MaxValue: number;
}
export interface ISimpleRange extends IRange {
    Value: number;
}
