import { Orientation } from '../enums/Orientation';
/**
 * The tick settings interface data object structure definition
 */
export interface ITicksSettings {
    showTicks: boolean;
    orientation: Orientation;
    labelInterval: number;
    ticksPerInterval: number;
    minimumValue: number;
    maximumValue: number;
    rtl: boolean;
    precision: number;
    reverseOrder: boolean;
}
