import { IAction } from './IAction';
import { ICustomProperty } from '../ICustomProperty';
/**
 * The custom action interface defines an object with an array containing custom properties required to perform a custom user defined action.
 */ export interface ICustomAction extends IAction {
    /**
     * User defined custom properties
     */
    CustomProperties: ICustomProperty[];
}
