import { IAction } from './IAction';
import { IDictionary } from '../IDictionary';
/**
 * The set device features action interface defines the properties required to perform the set device features action.
 */ export interface ISetDeviceFeaturesAction extends IAction {
    /**
     * Dictionary of device features to set
     */
    Features: IDictionary<string>;
}
