import { IBaseControl } from './IBaseControl';
import { IGroupReference } from './references/IGroupReference';
/**
 * The reference control interface forms a base control for components with a group reference data object.
 */
export interface IGroupControl extends IBaseControl {
    /**
     * Group object reference
     */
    Reference: IGroupReference;
}
