import { IBindableButtonControl } from './IBindableButtonControl';
import { ILanguageReference } from './references/ILanguageReference';
/**
 * The language button control interface defines the data object for the language button component.
 */ export interface ILanguageButtonControl extends IBindableButtonControl {
    /**
     * Language object reference
     */
    Reference: ILanguageReference;
}
