import { IBaseControl } from './IBaseControl';
import { IHasFont } from './properties/IHasFont';
import { IHasKeyboardFocus } from './properties/IHasKeyboardFocus';
import { IHasOptionSettings } from './properties/IHasOptionSettings';
/**
 * The language selector control interface defines the data object for the language selector component.
 */ export interface ILanguageSelectorControl extends IBaseControl, IHasFont, IHasKeyboardFocus, IHasOptionSettings {
}
