import { IControlContainerControl } from './IControlContainerControl';
import { IHasChild } from './properties/IHasChild';
import { IHasFont } from './properties/IHasFont';
/**
 * The panel control interface defines the data object for the panel container component.
 */ export interface IPanelControl extends IControlContainerControl, IHasChild, IHasFont {
    /**
     * Flag indicating whether the panel serves as a group box
     */
    GroupBox: boolean;
    /**
     * Group box legend text
     */
    Text: string;
}
