import { IActionsControl } from './IActionsControl';
/**
 * The uri control interface defines the data object for the hyperlink and image components.
 */ export interface IUriControl extends IActionsControl {
    /**
     * click navigation uri for the current control
     */
    URI: string;
    /**
     * Uri-navigation's target: `_blank` to open the linked document in a new window or `_self` (default) to open the linked document in the current window/tab
     */
    Target: string;
}
