import { IColor } from '../../../IColor';
import { IThickness } from '../../../IThickness';
/**
 * The date picker border settings interface contains customizable settings for the date picker border.
 */
export interface IDatePickerBorderSettings {
    /**
     * Defines color of the border.
     */
    Color: IColor;
    /**
     * Defines the thickness of the top, right, bottom and left border
     */
    Width: IThickness;
}
