import { INameExpression } from './INameExpression';
/**
 * Atomic name expression used to retrieve blaise system objects
 */ export interface IAtomicNameExpression extends INameExpression {
    /**
     * Name of the blaise system object for which to retrieve info e.g. `state, page, client, texts`
     */
    Name: string;
}
