import { INameExpression } from './INameExpression';
/**
 * Enumeration constant expression definition used to represent and identify an enumerator in an expression
 */ export interface IEnumerationConstantExpression extends INameExpression {
    /**
     * Name of the enumerator value
     */
    Name: string;
    /**
     * Numeric identifier of the enumerator value
     */
    Value: number;
}
