import { ExpressionKind } from '../../enums/ExpressionKind';
import { DataType } from '../../enums/DataType';
/**
 * Base type for all expressions
 */ export interface IExpression {
    /**
     * Specifier for the expression type
     */
    Kind: ExpressionKind;
    /**
     * Return type of the expression
     */
    ReturnType?: DataType;
}
