import { IRichTextElement } from './IRichTextElement';
import { IRun } from './IRun';
import { HorizontalAlignment } from '../../enums/HorizontalAlignment';
export interface IParagraph extends IRichTextElement {
    SimpleText?: string;
    Runs?: IRun[];
    Alignment?: HorizontalAlignment;
    toHTML(): string;
    toPlainText(): string;
}
