import { IUriElement } from './IUriElement';
import { ImageStretch } from '../../../enums/ImageStretch';
/**
 * Image actions element definition
 */ export interface IImageElement extends IUriElement {
    Height: string;
    Width: string;
    Source: string;
    SourceUrl: string;
    Opacity: number;
    Stretch: ImageStretch;
}
