import { IShapeElement } from './IShapeElement';
import { ICornerRadius } from '../../ICornerRadius';
/**
 * Rectangle shape element definition
 */ export interface IRectangleElement extends IShapeElement {
    /**
     * The corner-radius property defines the radius of the element's border corners.
     */
    CornerRadius: ICornerRadius;
}
