import { ToWhomKind } from '../../enums/ToWhomKind';
export interface IAppointmentListRequest {
    /**
     * The name of the field return by the lookup
     */
    ReturnField: string;
    MaxResultCount: number;
    RecordFilter: string;
    StartIndex: number;
    GroupName: string;
    ToWhomKind: ToWhomKind;
    DaysFromToday: number;
    PeriodInHours: number;
    IncludeAllInstruments: boolean;
    FieldFilter: string[];
}
