export interface ILookupRequest {
    /**
     * The datamodel filename of the used datamodel for the lookup
     */
    DataModelFileName?: Nullable<string>;
    /**
     * The data filename of the external database
     */
    ExternalDataFileName: Nullable<string>;
    /**
     * The name of the field return by the lookup
     */
    ReturnField: Nullable<string>;
    ActiveKey: Nullable<string>;
    SearchTerm: string;
    MaxResultCount: number;
    FieldFilter: string[];
    RecordFilter: Nullable<string>;
    StartIndex: number;
}
