import { IError } from '../IError';
import { IField } from '../IField';
import { IGroup } from '../IGroup';
import { IHasRouteItemReferences } from '../IHasRouteItemReferences';
import { IPageCompositeIndex } from './IPageCompositeIndex';
import { ISection } from '../ISection';
export interface IPage extends IHasRouteItemReferences {
    ActiveField: Nullable<IField>;
    CompositeIndex: IPageCompositeIndex;
    Fields: IField[];
    Groups: IGroup[];
    Index: number;
    RecordErrors: IError[];
    Sections: ISection[];
}
