import { IDescriptionInfo } from './IDescriptionInfo';
import { IDictionary } from '../IDictionary';
import { ValidationStatus } from '../../enums/ValidationStatus';
export interface IParallelInfo extends IDescriptionInfo {
    IsActive: boolean;
    CanBeActive: boolean;
    LocalName: string;
    DisplayName: string;
    DefinedName: string;
    RoleTexts: IDictionary<string>;
    Status: ValidationStatus;
}
