import { IFieldPropertyDefinition } from '../IFieldPropertyDefinition';
import { ILayoutModelState } from './ILayoutModelState';
import { IPage } from './IPage';
import { ITextBox } from '../ITextBox';
import { IDictionary } from '../IDictionary';
export interface IRenderState {
    Page: IPage;
    LayoutModelState: ILayoutModelState;
    PropertyDefinitions: IFieldPropertyDefinition[];
    SurveyRoot: string;
    InstrumentTitle: string;
    TextProvider: IDictionary<ITextBox>;
}
