import { IRealType } from '../models/value-types/IRealType';
/**
 * Decimal type definition extension for testing purposes
 */
export interface ITestRealType extends IRealType {
    /**
     * Stores values that should pass the real type test
     */
    AllowedValues: string[];
    /**
     * Stores values that should fail the real type test
     */
    DisAllowedValues: string[];
}
