import { ValuesAction } from './values-action';
import { IAuditTrailAction } from '../../../typedefinitions/models/actions/IValuesAction';
import { INamedValue } from '../../../typedefinitions/models/INamedValue';
/**
 * Custom audit trail event action class
 */
export declare class AuditTrailAction extends ValuesAction implements IAuditTrailAction {
    /**
     * Control action class constructor
     * @param values named value array
     */
    constructor(values: INamedValue[]);
}
