import { Action } from './action';
import { ICustomAction } from '../../../typedefinitions/models/actions/ICustomAction';
import { ICustomProperty } from '../../../typedefinitions/models/ICustomProperty';
/**
 * Custom action class
 */
export declare class CustomAction extends Action implements ICustomAction {
    /**
     * Custom property list property
     */
    CustomProperties: ICustomProperty[];
    /**
     * Custom action class constructor
     * @param CustomProperties list of custom properties for the custom action
     */
    constructor(
    /**
     * Custom property list property
     */
    CustomProperties: ICustomProperty[]);
}
