import { Action } from './action';
import { IGoToGroupAction } from '../../../typedefinitions/models/actions/IGoToGroupAction';
/**
 * Go to group action class
 */
export declare class GoToGroupAction extends Action implements IGoToGroupAction {
    /**
     * Group name property
     */
    GroupName: string;
    /**
     * Go to group action class constructor
     * @param GroupName Name of the group to which to navigate
     */
    constructor(
    /**
     * Group name property
     */
    GroupName: string);
}
