import { ConditionFieldAction } from './condition-field-action';
import { IExpression } from '../../../typedefinitions/models/expressions/IExpression';
import { ILastFieldAction } from '../../../typedefinitions/models/actions/IConditionFieldAction';
/**
 * Last field action class
 */
export declare class LastFieldAction extends ConditionFieldAction implements ILastFieldAction {
    /**
     * Last field action class constructor
     * @param condition optional condition expression
     */
    constructor(condition?: IExpression);
}
