import { ControlAction } from './control-action';
import { IPauseAudioAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Pause audio action class
 */
export declare class PauseAudioAction extends ControlAction implements IPauseAudioAction {
    /**
     * Pause audio action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control to pause playing
     */
    constructor(rootId: string, controlId: string);
}
