import { ControlAction } from './control-action';
import { IPauseVideoAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Pause video action class
 */
export declare class PauseVideoAction extends ControlAction implements IPauseVideoAction {
    /**
     * Pause video action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control to pause playing
     */
    constructor(rootId: string, controlId: string);
}
