import { ControlAction } from './control-action';
import { IPlayAudioAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Play audio action class
 */
export declare class PlayAudioAction extends ControlAction implements IPlayAudioAction {
    /**
     * Play audio action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control to start playing
     */
    constructor(rootId: string, controlId: string);
}
