import { ControlAction } from './control-action';
import { IPlayPauseAudioAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Play/pause audio action class
 */
export declare class PlayPauseAudioAction extends ControlAction implements IPlayPauseAudioAction {
    /**
     * Play/pause audio action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control for which to toggle between play and pause
     */
    constructor(rootId: string, controlId: string);
}
