import { ControlAction } from './control-action';
import { IPlayStopAudioAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Play/stop audio action class
 */
export declare class PlayStopAudioAction extends ControlAction implements IPlayStopAudioAction {
    /**
     * Play/stop audio action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control for which to toggle between play and Stop
     */
    constructor(rootId: string, controlId: string);
}
