import { ControlAction } from './control-action';
import { IPlayVideoAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Play video action class
 */
export declare class PlayVideoAction extends ControlAction implements IPlayVideoAction {
    /**
     * Play video action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control to start playing
     */
    constructor(rootId: string, controlId: string);
}
