import { Action } from './action';
import { ISendKeysAction } from '../../../typedefinitions/models/actions/ISendKeysAction';
/**
 * Send keys action class
 */
export declare class SendKeysAction extends Action implements ISendKeysAction {
    /**
     * The keyboard keys to process as pressed
     */
    Keys: string;
    /**
     * Send keys action class constructor
     * @param Keys The keyboard keys to process as pressed
     */
    constructor(
    /**
     * The keyboard keys to process as pressed
     */
    Keys: string);
}
