import { Action } from './action';
import { ISetStyleAction } from '../../../typedefinitions/models/actions/ISetStyleAction';
/**
 * Set style action class
 */
export declare class SetStyleAction extends Action implements ISetStyleAction {
    /**
     * Style name property
     */
    StyleName: string;
    /**
     * Set style action class constructor
     * @param StyleName Name of the style to set
     */
    constructor(
    /**
     * Style name property
     */
    StyleName: string);
}
