import { Action } from './action';
import { IShowCustomPageAction } from '../../../typedefinitions/models/actions/IShowCustomPageAction';
/**
 * Show custom page action class
 */
export declare class ShowCustomPageAction extends Action implements IShowCustomPageAction {
    /**
     * Page kind name property
     */
    PageKindName: string;
    /**
     * Show custom page action class constructor
     * @param PageKindName Kind name for the page to show
     */
    constructor(
    /**
     * Page kind name property
     */
    PageKindName: string);
}
