import { ControlAction } from './control-action';
import { IStartTimerAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Start timer action class
 */
export declare class StartTimerAction extends ControlAction implements IStartTimerAction {
    /**
     * Start timer action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the timer control to start
     */
    constructor(rootId: string, controlId: string);
}
