import { ControlAction } from './control-action';
import { IStopAudioAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Stop audio action class
 */
export declare class StopAudioAction extends ControlAction implements IStopAudioAction {
    /**
     * Stop audio action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the media control to stop playing
     */
    constructor(rootId: string, controlId: string);
}
