import { ControlAction } from './control-action';
import { IStopTimerAction } from '../../../typedefinitions/models/actions/IControlAction';
/**
 * Stop timer action class
 */
export declare class StopTimerAction extends ControlAction implements IStopTimerAction {
    /**
     * Stop timer action class constructor
     * @param rootId Control root ID
     * @param controlId ID of the timer control to stop
     */
    constructor(rootId: string, controlId: string);
}
