import { ConstantPropertyValue } from './constant-property-value';
import { IErrorKindFilterPropertyValue } from '../../../../../typedefinitions/models/server/client-side/property-values/IErrorKindFilterPropertyValue';
import { ErrorKind } from '../../../../../typedefinitions/enums/ErrorKind';
/**
 * Grid type stylable constant property-value class
 */
export declare class ErrorKindFilterPropertyValue extends ConstantPropertyValue<ErrorKind[]> implements IErrorKindFilterPropertyValue {
    /**
     * Grid type property-value class constructor
     * @param value
     */
    protected constructor(value: ErrorKind[]);
}
