import { ConstantPropertyValue } from './constant-property-value';
import { IFontPropertyValue } from '../../../../../typedefinitions/models/server/client-side/property-values/IFontPropertyValue';
import { IFontInfo } from '../../../../../typedefinitions/models/IFontInfo';
/**
 * Font property-value class
 */
export declare class FontPropertyValue extends ConstantPropertyValue<IFontInfo> implements IFontPropertyValue {
    /**
     * FontName read-only property font name
     */
    readonly FontName: string;
    /**
     * Font property-value class constructor
     * @param value Font info
     * @param FontName Font name
     */
    protected constructor(value: IFontInfo, 
    /**
     * FontName read-only property font name
     */
    FontName: string);
}
