import { ConstantPropertyValue } from './constant-property-value';
import { IRichTextPropertyValue } from '../../../../../typedefinitions/models/server/client-side/property-values/IRichTextPropertyValue';
import { IRichText } from '../../../../../typedefinitions/models/richText/IRichText';
/**
 * Rich text property-value class
 */
export declare class RichTextPropertyValue extends ConstantPropertyValue<IRichText> implements IRichTextPropertyValue {
    /**
     * Rich text property-value class constructor
     * @param value
     */
    protected constructor(value: IRichText);
}
