import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { ICornerRadiusPropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/ICornerRadiusPropertyValue';
import { ICornerRadius } from '../../../../../../typedefinitions/models/ICornerRadius';
/**
 * Corner radius stylable constant property-value class
 */
export declare class CornerRadiusPropertyValue extends StylableConstantPropertyValue<ICornerRadius> implements ICornerRadiusPropertyValue {
    /**
     * Corner radius property-value class constructor
     * @param value
     */
    constructor(value: ICornerRadius);
}
