import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { IGridTypePropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/IGridTypePropertyValue';
import { GridType } from '../../../../../../typedefinitions/enums/GridType';
/**
 * Grid type stylable constant property-value class
 */
export declare class GridTypePropertyValue extends StylableConstantPropertyValue<GridType> implements IGridTypePropertyValue {
    /**
     * Grid type property-value class constructor
     * @param value
     */
    constructor(value: GridType);
}
