import { StylableConstantPropertyValue } from './stylable-constant-property-value';
import { IVisibilityPropertyValue } from '../../../../../../typedefinitions/models/server/client-side/property-values/IVisibilityPropertyValue';
import { Visibility } from '../../../../../../typedefinitions/enums/Visibility';
/**
 * Visibility stylable constant property-value class
 */
export declare class VisibilityPropertyValue extends StylableConstantPropertyValue<Visibility> implements IVisibilityPropertyValue {
    /**
     * Visibility property-value class constructor
     * @param value
     */
    constructor(value: Visibility);
}
