import { Brush } from './brush';
import { ISolidColorBrush } from '../../../../../../typedefinitions/models/IBrush';
import { IColor } from '../../../../../../typedefinitions/models/IColor';
/**
 * Solid color brush class
 */
export declare class SolidColorBrush extends Brush implements ISolidColorBrush {
    SolidColor: IColor;
    /**
     * Solid color constant property-value class constructor
     * @param SolidColor color of the brush
     */
    constructor(SolidColor: IColor);
}
