import { TableCell } from './table-cell';
import { IBrush } from '../../../../typedefinitions/models/IBrush';
import { ITableRow } from '../../../../typedefinitions/models/richText/ITableRow';
export declare class TableRow implements ITableRow {
    Background: IBrush;
    Cells: TableCell[];
    constructor(Background: IBrush, Cells: TableCell[]);
    toHTML(): string;
    toPlainText(): string;
}
