import { ValueType } from './value-type';
import { ITimeType } from '../../../typedefinitions/models/value-types/ITimeType';
/**
 * Time value type class
 */
export declare class TimeType extends ValueType implements ITimeType {
    /**
     * IncludeTime indicates if value type is the time part of a date-time type
     */
    IncludeTime: boolean;
    /**
     * Time value type class constructor
     */
    constructor(
    /**
     * IncludeTime indicates if value type is the time part of a date-time type
     */
    IncludeTime: boolean);
}
