import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ServiceProviderService } from '../../services/serviceprovider.service';
import { IAppearanceControl } from '../../../typedefinitions/models/controls/IAppearanceControl';
import { IBaseControl } from '../../../typedefinitions/models/controls/IBaseControl';
import * as i0 from "@angular/core";
export declare class DateInputStyleDirective implements OnInit, OnDestroy {
    private el;
    private sp;
    private currentStyleObject;
    private controlSubscription?;
    dataObject: IAppearanceControl;
    constructor(el: ElementRef, sp: ServiceProviderService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Override this method in subclasses to process control changes.
     * @param dataObjectSubscription
     */ handleControlUpdate(dataObjectSubscription: IBaseControl): void;
    private applyStyles;
    private hasFont;
    private useFontObject;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateInputStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DateInputStyleDirective, "[bl5DateInputStyle]", never, { "dataObject": { "alias": "bl5DateInputStyle"; "required": false; }; }, {}, never, never, false, never>;
}
