import { ElementRef, OnInit, OnDestroy } from '@angular/core';
import { ServiceProviderService } from '../../services/serviceprovider.service';
import { IBaseControl } from '../../../typedefinitions/models/controls/IBaseControl';
import { IAppearanceControl } from '../../../typedefinitions/models/controls/IAppearanceControl';
import * as i0 from "@angular/core";
export declare class PickerButtonStyleDirective implements OnInit, OnDestroy {
    private el;
    private sp;
    private _currentStyleObject;
    private controlSubscription?;
    dataObject: IAppearanceControl;
    constructor(el: ElementRef, sp: ServiceProviderService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Override this method in subclasses to process control changes.
     * @param dataObjectSubscription
     */ handleControlUpdate(dataObjectSubscription: IBaseControl): void;
    private applyStyles;
    private hasFont;
    private useFontObject;
    static ɵfac: i0.ɵɵFactoryDeclaration<PickerButtonStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PickerButtonStyleDirective, "[bl5PickerButtonStyle]", never, { "dataObject": { "alias": "bl5PickerButtonStyle"; "required": false; }; }, {}, never, never, false, never>;
}
