export declare class ExpressionConstants {
    static readonly getField = "getfield";
    static readonly getItem = "getitem";
    static readonly getCategory = "getcategory";
    static readonly getProperty = "getproperty";
    static readonly getErrors = "geterrors";
    static readonly isSpecialAnswerAllowed = "isspecialanswerallowed";
    static readonly getCategoryByCode = "getcategorybycode";
    static readonly getCategoryByName = "getcategorybyname";
    static readonly getRoleText = "getroletext";
    static readonly roleTextExists = "roletextexists";
    static readonly getTextbox = "gettextbox";
    static readonly first = "first";
    static readonly last = "last";
    static readonly exists = "exists";
    static readonly all = "all";
    static readonly count = "count";
    static readonly min = "min";
    static readonly max = "max";
    static readonly sum = "sum";
    static readonly state = "state";
    static readonly page = "page";
    static readonly client = "client";
    static readonly texts = "texts";
    static readonly answerStatus = "answerstatus";
    static readonly valueAsText = "valueastext";
    static readonly specialAnswer = "specialanswer";
    static readonly dataType = "datatype";
    static readonly stringValue = "stringvalue";
    static readonly decimalValue = "decimalvalue";
    static readonly realValue = "realvalue";
    static readonly dateValue = "datevalue";
    static readonly timeValue = "timevalue";
    static readonly enumerationValue = "enumerationvalue";
    static readonly classificationValue = "classificationvalue";
    static readonly setValue = "setvalue";
    static readonly integerValue = "integervalue";
    static readonly blobValue = "blobvalue";
    static readonly firstRelevant = "firstrelevant";
    static readonly isRelevant = "isrelevant";
    static readonly isSelected = "isselected";
    static readonly navigationMode = "navigationmode";
    static readonly runtimeSettings = "runtimesettings";
    static readonly fileName = "filename";
    static readonly stringType = "stringtype";
    static readonly realType = "realtype";
    static readonly enumerationType = "enumerationtype";
    static readonly classificationPseudoType = "classificationpseudotype";
    static readonly setType = "settype";
    static readonly integerType = "integertype";
    static readonly blobType = "blobtype";
    static readonly memberType = "membertype";
    static readonly categories = "categories";
    static readonly hasValue = "hasvalue";
    static readonly value = "value";
    static readonly hasFieldProperties = "hasfieldproperties";
    static readonly response = "response";
    static readonly empty = "empty";
}
