import { PipeTransform } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
/**
 * Can be used to tell Angular that the provided resource url can be trusted. See the official documentation
 * about the [DomSanitizer](https://angular.io/api/platform-browser/DomSanitizer) for more information.
 *
 * <h6 class="template">Template</h6>
 * ```html
 * <iframe [src]="mediaUrl | safeResource"></iframe>
 * ```
 */
export declare class SafeResourcePipe implements PipeTransform {
    private sanitized;
    constructor(sanitized: DomSanitizer);
    transform(value: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<SafeResourcePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<SafeResourcePipe, "safeResource", false>;
}
