import { StringFieldConverterService } from './string-field-converter.service';
import { IFieldInfo } from '../../../typedefinitions/models/observables/IFieldInfo';
import * as i0 from "@angular/core";
/**
 * Maps field converter service class
 */
export declare class MapsFieldConverterService extends StringFieldConverterService {
    /**
     * Checks if auto-enter may be applied
     * @param fieldInfo Field info
     * @param args Contains the additional argument MaxLocations needed to check if the auto-enter should be applied
     * @returns true, if auto-enter may be applied, otherwise false
     */
    autoEnter(fieldInfo: IFieldInfo, [maxLocations, locationSeparator]: any[]): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MapsFieldConverterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MapsFieldConverterService>;
}
