import * as i0 from "@angular/core";
/**
 * Modal management service
 */
export declare class ModalService {
    private modals;
    /**
     * Adds a modal to the active modal list
     * @param modal
     */
    add(modal: any): void;
    /**
     * Removes a modal from the active modal list by a given id
     * @param id
     */
    remove(id: string): void;
    /**
     * Find and open a modal from the active modal list by a given id
     * @param id
     */
    open(id: string): void;
    /**
     * Find and close a modal from the active modal list by a given id
     * @param id
     */
    close(id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModalService>;
}
