export declare enum ActionKind {
    NextPage = 0,
    PreviousPage = 1,
    FirstPage = 2,
    LastPage = 3,
    CurrentPage = 4,
    NextField = 5,
    Save = 6,
    Quit = 7,
    SetLanguage = 8,
    SetLayoutSetGroup = 9,
    SetLayoutSet = 10,
    SetDataEntrySettings = 11,
    SetParallel = 12,
    GoToField = 13,
    SuppressSignal = 14,
    AssignField = 15,
    SetStyle = 16,
    SetDeviceFeatures = 17,
    ShowCustomPage = 18,
    ToggleVisibility = 19,
    GoToBlockField = 20,
    GoToGroup = 21,
    GoToUri = 22,
    StartSurvey = 23,
    ProcedureCall = 24,
    Conditional = 25,
    SetControlProperty = 26,
    Custom = 27,
    PreviousField = 28,
    Print = 29,
    Finish = 30,
    AssignFieldProperty = 31,
    GoToParallelEnd = 32,
    DialNumber = 33,
    StartTimer = 34,
    StopTimer = 35,
    SetFocus = 36,
    CloseDialog = 37,
    PlayAudio = 38,
    PauseAudio = 39,
    PlayPauseAudio = 40,
    StopAudio = 41,
    PlayVideo = 42,
    PauseVideo = 43,
    PlayPauseVideo = 44,
    StopVideo = 45,
    ShowDialog = 46,
    FirstField = 47,
    AuditTrail = 48,
    LastField = 49,
    CutToClipboard = 50,
    CopyToClipboard = 51,
    PasteFromClipboard = 52,
    GoToFieldProperty = 53,
    ServerEvent = 54,
    UndoAllEdits = 55,
    ForEach = 56,
    PlayStopAudio = 57,
    StopAllAudio = 58,
    PlayStopVideo = 59,
    StopAllVideo = 60,
    SendKeys = 61,
    StartLocalProcess = 62
}
