/**
 * Enum containing possible statuses of an appointment validation call.
 */
export declare enum AppointmentValidationStatus {
    Ok = "Ok",
    NoSurveyDay = "NoSurveyDay",
    Blocked = "Blocked",
    InThePast = "InThePast",
    PastLastSurveyDay = "PastLastSurveyDay",
    MaxExceeded = "MaxExceeded",
    OutsideCallWindow = "OutsideCallWindow"
}
