/**
 * Enum containing values for the aria live attribute which indicate that an element will be updated, and describes the types of updates the user agents, assistive technologies, and user can expect from the live region.
 */
export declare enum AriaLive {
    Off = "off",
    Polite = "polite",
    Assertive = "assertive",
    Rude = "rude"
}
