export declare enum Properties {
    AccessibilityRole = "AccessibilityRole",
    Actions = "Actions",
    Alignment = "Alignment",
    Appearance = "Appearance",
    AutoEnter = "AutoEnter",
    Background = "Background",
    BorderColor = "BorderColor",
    CornerRadius = "CornerRadius",
    BorderWidth = "BorderWidth",
    BrushType = "BrushType",
    Cells = "Cells",
    CheckName = "CheckName",
    Child = "Child",
    Children = "Children",
    Code = "Code",
    ColumnIndex = "ColumnIndex",
    ColSpan = "ColSpan",
    Columns = "Columns",
    CombineStriping = "CombineStriping",
    CustomProperties = "CustomProperties",
    Elements = "Elements",
    Enabled = "Enabled",
    Errors = "Errors",
    EvenRowColor = "EvenRowColor",
    FieldName = "FieldName",
    FieldPropertyName = "FieldPropertyName",
    Font = "Font",
    FontName = "FontName",
    GridLines = "GridLines",
    GridLineColor = "GridLineColor",
    GridLineWidth = "GridLineWidth",
    GroupName = "GroupName",
    Height = "Height",
    HeaderSize = "HeaderSize",
    HorizontalAlignment = "HorizontalAlignment",
    HorizontalScrollBar = "HorizontalScrollBar",
    HorizontalTextAlignment = "HorizontalTextAlignment",
    ID = "ID",
    InitialVisibility = "InitialVisibility",
    IsFocusable = "IsFocusable",
    IsSimpleText = "IsSimpleText",
    IsSkipLinkTarget = "IsSkipLinkTarget",
    Kind = "Kind",
    LabelFor = "LabelFor",
    LabelledBy = "LabelledBy",
    LabelInterval = "LabelInterval",
    LanguageName = "LanguageName",
    Margin = "Margin",
    MaximumResultCount = "MaximumResultCount",
    Name = "Name",
    ObjectKind = "ObjectKind",
    OddRowColor = "OddRowColor",
    OnClick = "OnClick",
    OnGotFocus = "OnGotFocus",
    OnLostFocus = "OnLostFocus",
    OnMouseEnter = "OnMouseEnter",
    OnMouseLeave = "OnMouseLeave",
    OnMouseDown = "OnMouseDown",
    OnMouseUp = "OnMouseUp",
    OnTextChange = "OnTextChange",
    OnValueChanged = "OnValueChanged",
    Opacity = "Opacity",
    Orientation = "Orientation",
    Watermark = "Watermark",
    ParallelName = "ParallelName",
    PasswordChar = "PasswordChar",
    PixelHeight = "PixelHeight",
    PixelWidth = "PixelWidth",
    Reference = "Reference",
    RichTextItems = "RichTextItems",
    RouteErrorText = "RouteErrorText",
    RowHeight = "RowHeight",
    RowIndex = "RowIndex",
    RowSpan = "RowSpan",
    Rows = "Rows",
    Runs = "Runs",
    ScreenReaderText = "ScreenReaderText",
    ScreenReaderTextItems = "ScreenReaderTextItems",
    SectionName = "SectionName",
    ShowHeaders = "ShowHeaders",
    ShowKeyboardFocus = "ShowKeyboardFocus",
    SimpleText = "SimpleText",
    SkipLinkDescription = "SkipLinkDescription",
    SkipLinkIndex = "SkipLinkIndex",
    SkipLinkName = "SkipLinkName",
    Source = "Source",
    SpecialAnswer = "SpecialAnswer",
    Stretch = "Stretch",
    StrokeColor = "StrokeColor",
    StrokeStyle = "StrokeStyle",
    StrokeWidth = "StrokeWidth",
    StylableProperties = "StylableProperties",
    SystemTexts = "SystemTexts",
    TabIndex = "TabIndex",
    Target = "Target",
    TemplateTargetName = "TemplateTargetName",
    Text = "Text",
    TextElements = "TextElements",
    TextMargin = "TextMargin",
    ThumbSize = "ThumbSize",
    TickPlacement = "TickPlacement",
    TicksPerInterval = "TicksPerInterval",
    Tooltip = "Tooltip",
    TooltipItems = "ToolTipItems",
    TrackSize = "TrackSize",
    UnitType = "UnitType",
    Uri = "URI",
    Value = "Value",
    VerticalAlignment = "VerticalAlignment",
    VerticalScrollbar = "VerticalScrollBar",
    VerticalTextAlignment = "VerticalTextAlignment",
    Visibility = "Visibility",
    Width = "Width"
}
