/**
 * System text keys enum
 */
export declare enum SystemText {
    errCatiCaseDeliveryDisabled = "errCatiCaseDeliveryDisabled",
    errCatiCaseDeliveryDisabledByOperationTimes = "errCatiCaseDeliveryDisabledByOperationTimes",
    errCatiCaseRefusedBySelect = "errCatiCaseRefusedBySelect",
    errCatiInvalidConfiguration = "errCatiInvalidConfiguration",
    errCatiInvalidFieldMapping = "errCatiInvalidFieldMapping",
    errCatiKeyAlreadyBeingTreated = "errCatiKeyAlreadyBeingTreated",
    errCatiNoSuitableCase = "errCatiNoSuitableCase",
    errCatiNotASurveyDay = "errCatiNotASurveyDay",
    errCatiNoValidDaybatch = "errCatiNoValidDaybatch",
    errInvalidSurveyId = "errInvalidSurveyId",
    errKeyExists = "errKeyExists",
    errKeyNotFound = "errKeyNotFound",
    errNonCatiServer = "errNonCatiServer",
    errNonWebSurvey = "errNonWebSurvey",
    errReadRecord = "errReadRecord",
    errRecordHasActiveSession = "errRecordHasActiveSession",
    errRecordLocked = "errRecordLocked",
    errServerAccessDenied = "errServerAccessDenied",
    errServerParkNameIncorrect = "errServerParkNameIncorrect",
    errSessionExpired = "errSessionExpired",
    errStartConditionFailed = "errStartConditionFailed",
    errSurveyAccessDenied = "errSurveyAccessDenied",
    errWriteRecord = "errWriteRecord",
    txtAbortPageMessage = "txtAbortPageMessage",
    txtAbortPageTitle = "txtAbortPageTitle",
    txtAnswerBlobAnswerInvalidFileType = "txtAnswerBlobAnswerInvalidFileType",
    txtAnswerBlobAnswerMaxSizeExceeded = "txtAnswerBlobAnswerMaxSizeExceeded",
    txtAnswerBlobInfo = "txtAnswerBlobInfo",
    txtAnswerClassificationInfo = "txtAnswerClassificationInfo",
    txtAnswerDateInfo = "txtAnswerDateInfo",
    txtAnswerEnumerationInfo = "txtAnswerEnumerationInfo",
    txtAnswerEnumerationInvalidValue = "txtAnswerEnumerationInvalidValue",
    txtAnswerNumberInfo = "txtAnswerNumberInfo",
    txtAnswerOutOfRange = "txtAnswerOutOfRange",
    txtAnswerRangeInfo = "txtAnswerRangeInfo",
    txtAnswerRequired = "txtAnswerRequired",
    txtAnswerRequiredField = "txtAnswerRequiredField",
    txtAnswerRestrictedStringInfo = "txtAnswerRestrictedStringInfo",
    txtAnswerSetCardinalInfo = "txtAnswerSetCardinalInfo",
    txtAnswerSetDuplicateValue = "txtAnswerSetDuplicateValue",
    txtAnswerSetInfo = "txtAnswerSetInfo",
    txtAnswerSetInvalidValue = "txtAnswerSetInvalidValue",
    txtAnswerStringInfo = "txtAnswerStringInfo",
    txtAnswerTimeInfo = "txtAnswerTimeInfo",
    txtAppoinmentBlocked = "txtAppoinmentBlocked",
    txtAppointment = "txtAppointment",
    txtAppointmentInThePast = "txtAppointmentInThePast",
    txtAppointmentMaxExceeded = "txtAppointmentMaxExceeded",
    txtAppointmentNoSurveyDay = "txtAppointmentNoSurveyDay",
    txtAppointmentOk = "txtAppointmentOk",
    txtAppointmentOutsideCallWindow = "txtAppointmentOutsideCallWindow",
    txtAppointmentPastLastSurveyDay = "txtAppointmentPastLastSurveyDay",
    txtAppointmentsInSelectedSlot = "txtAppointmentsInSelectedSlot",
    txtAppointmentLoadLow = "txtAppointmentLoadLow",
    txtAppointmentLoadMedium = "txtAppointmentLoadMedium",
    txtAppointmentLoadHigh = "txtAppoinmentLoadHigh",
    txtBack = "txtBack",
    txtBlocked = "txtBlocked",
    txtBlockedByGeneralOperationTime = "txtBlockedByGeneralOperationTime",
    txtBlockedBySpecificOperationTime = "txtBlockedBySpecificOperationTime",
    txtBrowserNotSupported = "txtBrowserNotSupported",
    txtCancel = "txtCancel",
    txtConfirm = "txtConfirm",
    txtCurrencySymbol = "txtCurrencySymbol",
    txtCurrentResults = "txtCurrentResults",
    txtDateWatermark = "txtDateWatermark",
    txtDay = "txtDay",
    txtDontKnow = "txtDontKnow",
    txtDontSuppress = "txtDontSuppress",
    txtEnterSearchTerm = "txtEnterSearchTerm",
    txtErrorPageMessage = "txtErrorPageMessage",
    txtErrorPageTitle = "txtErrorPageTitle",
    txtIncompleteDate = "txtIncompleteDate",
    txtIncompleteTime = "txtIncompleteTime",
    txtIntroPageMessage = "txtIntroPageMessage",
    txtIntroPageTitle = "txtIntroPageTitle",
    txtInvolvedFields = "txtInvolvedFields",
    txtLastSurveyDay = "txtLastSurveyDay",
    txtLauncher = "txtLauncher",
    txtMaxAllowedAppointments = "txtMaxAllowedAppointments",
    txtNext = "txtNext",
    txtNextCase = "txtNextCase",
    txtNoAnswerExpected = "txtNoAnswerExpected",
    txtNoAnswerExpectedField = "txtNoAnswerExpectedField",
    txtNoDirectStart = "txtNoDirectStart",
    txtNonresponse = "txtNonresponse",
    txtNoSurveyDay = "txtNoSurveyDay",
    txtNoTimeslotSelected = "txtNoTimeslotSelected",
    txtNumberWatermark = "txtNumberWatermark",
    txtOk = "txtOk",
    txtPage = "txtPage",
    txtPrevious = "txtPrevious",
    txtPrint = "txtPrint",
    txtPrintCompletedData = "txtPrintCompletedData",
    txtPrintSuccess = "txtPrintSuccess",
    txtQuit = "txtQuit",
    txtReceiptPageMessage = "txtReceiptPageMessage",
    txtReceiptPageTitle = "txtReceiptPageTitle",
    txtRecordHasBeenUpdated = "txtRecordHasBeenUpdated",
    txtRefusal = "txtRefusal",
    txtReset = "txtReset",
    txtResumeInterview = "txtResumeInterview",
    txtRetry = "txtRetry",
    txtSave = "txtSave",
    txtSearch = "txtSearch",
    txtSearchReturned = "txtSearchReturned",
    txtSearchTerm = "txtSearchTerm",
    txtSelect = "txtSelect",
    txtSelected = "txtSelected",
    txtSelectedTimeslot = "txtSelectedTimeslot",
    txtSelectedValue = "txtSelectedValue",
    txtSelectRow = "txtSelectRow",
    txtStart = "txtStart",
    txtSuppress = "txtSuppress",
    txtSurveyDaysInfo = "txtSurveyDaysInfo",
    txtSurveyDaysLeftAfterCurrentPeriod = "txtSurveyDaysLeftAfterCurrentPeriod",
    txtSurveyDaysLeftBeforeCurrentPeriod = "txtSurveyDaysLeftBeforeCurrentPeriod",
    txtSurveyDaysLeftTotal = "txtSurveyDaysLeftTotal",
    txtSurveyNotActive = "txtSurveyNotActive",
    txtTextElementNotFound = "txtTextElementNotFound",
    txtTimelineDay = "txtTimelineDay",
    txtTimelineWeek = "txtTimelineWeek",
    txtTimeWatermark = "txtTimeWatermark",
    txtTooManyValuesInSet = "txtTooManyValuesInSet",
    txtTotalAppointments = "txtTotalAppointments",
    txtValueAboveMaximum = "txtValueAboveMaximum",
    txtValueBelowMinimum = "txtValueBelowMinimum",
    txtWeek = "txtWeek",
    txtAppointmentDate = "txtAppointmentDate",
    txtAppointmentDateType = "txtAppointmentDateType",
    txtAppointmentDateFrom = "txtAppointmentDateFrom",
    txtAppointmentDateTo = "txtAppointmentDateTo",
    txtAppointmentExactDate = "txtAppointmentExactDate",
    txtAppointmentWeekday = "txtAppointmentWeekday",
    txtAppointmentPeriod = "txtAppointmentPeriod",
    txtAppointmentNoPreference = "txtAppointmentNoPreference",
    txtAppointmentTime = "txtAppointmentTime",
    txtAppointmentTimeType = "txtAppointmentTimeType",
    txtAppointmentTimeFrom = "txtAppointmentTimeFrom",
    txtAppointmentTimeTo = "txtAppointmentTimeTo",
    txtAppointmentNoTime = "txtAppointmentNoTime",
    txtAppointmentExactTime = "txtAppointmentExactTime",
    txtAppointmentDayPart = "txtAppointmentDayPart",
    txtAppointmentSoft = "txtAppointmentSoft",
    txtAppointmentMedium = "txtAppointmentMedium",
    txtAppointmentHard = "txtAppointmentHard",
    txtAppointmentSettingsNotSupported = "txtAppointmentSettingsNotSupported"
}
