export declare enum ValidationStatus {
    /**
     * The record has not been validated
     */
    NotChecked = 0,
    /**
     * The record does not contain errors
     */
    Clean = 1,
    /**
     * The record contains failed signals
     */
    Suspect = 2,
    /**
     * The record contains route or failed checks
     */
    Dirty = 3
}
