import { Device } from '../enums/Device';
import { DevicePlatform } from '../enums/DevicePlatform';
import { DeviceBrowser } from '../enums/DeviceBrowser';
export interface IClient {
    Browser: DeviceBrowser;
    Device: Device;
    HasChanged: boolean;
    Height: number;
    Language: string;
    Latitude: number;
    Longitude: number;
    Orientation: number | string;
    OS: string;
    PixelRatio: number;
    Platform: DevicePlatform;
    RecorderAvailable: boolean;
    Referrer: string;
    ReferrerUrl: string;
    ScreenHeight: number;
    ScreenWidth: number;
    ScrollbarSize: number;
    TouchEnabled: boolean;
    Width: number;
}
