import { UnitType } from '../enums/UnitType';
/**
 * Unit definition
 */ export interface IUnit {
    /**
     * The unit's type `Auto`, `Pixels` or 'Stretch'
     */
    UnitType: UnitType;
    /**
     * The unit's numeric value
     */
    Value: number;
}
