/**
 * Extends the Window interface which represents a window containing a DOM with browser specific properties.
 */
export interface IWindowExtended extends Window {
    opr?: IOpr;
    opera?: IOpera;
    chrome?: IChrome;
    InstallTrigger?: string;
    HTMLElement?: any;
    StyleMedia?: any;
    substr: any;
}
export interface IOpr {
    addons?: any;
}
export interface IOpera {
    addons?: any;
}
export interface IChrome {
    webstore?: any;
}
