import { IAction } from './IAction';
/**
 * The go-to group action interface defines an object containing properties required to perform the go-to group action.
 */ export interface IGoToGroupAction extends IAction {
    /**
     * The name of the field group to which navigate to.
     */
    GroupName: string;
}
