import { IAction } from './IAction';
/**
 * The go-to uri action interface defines the properties required to perform the go-to uri action.
 */ export interface IGoToUriAction extends IAction {
    /**
     * uri of the resource to load in a new window
     */
    Uri: string;
    /**
     * additional action arguments
     */
    Arguments: string[];
}
