import { IInputControl } from './IInputControl';
import { DateControlAppearance } from '../../enums/DateControlAppearance';
import { TimeControlAppearance } from '../../enums/TimeControlAppearance';
/**
 * The appearance control interface defines the data object for the date and time components.
 */
export interface IAppearanceControl extends IInputControl {
    /**
     * Control appearance (DropDownLists, Textbox, Date-/Time-picker or TextBoxes)
     */
    Appearance: TimeControlAppearance | DateControlAppearance;
}
