import { IBaseControl } from './IBaseControl';
import { IHasText } from './properties/IHasText';
import { IHasKeyboardFocus } from './properties/IHasKeyboardFocus';
/**
 * The bindable button control interface defines the data object for bindable button components (language, parallel, index-item, (group-/page-)suppress ans data-grid search).
 */ export interface IBindableButtonControl extends IBaseControl, IHasText, IHasKeyboardFocus {
}
