import { IActionsControl } from './IActionsControl';
import { IHasOutline } from './properties/IHasOutline';
import { IHasText } from './properties/IHasText';
/**
 * The button control interface defines the data object for the button component.
 */ export interface IButtonControl extends IActionsControl, IHasText, IHasOutline {
    /**
     * Flag indicating whether the button is allowed to receive focus when pressed.
     */
    IsFocusable: boolean;
}
