import { IControlContainerControl } from './IControlContainerControl';
import { IHasChildren } from './properties/IHasChildren';
import { IGridUnit } from '../IGridUnit';
/**
 * The grid control interface defines the data object for the grid container component.
 */ export interface IGridControl extends IControlContainerControl, IHasChildren {
    /**
     * Grid column width information (values and unit types)
     */
    Columns: IGridUnit[];
    /**
     * Grid row height information (values and unit types)
     */
    Rows: IGridUnit[];
}
