import { IUriControl } from './IUriControl';
import { IHasFont } from './properties/IHasFont';
import { IHasOutline } from './properties/IHasOutline';
/**
 * The hyperlink control interface defines the data object for the hyperlink component.
 */ export interface IHyperlinkControl extends IUriControl, IHasFont, IHasOutline {
    /**
     * Displayed hyperlink text
     */
    Text: string;
}
