import { IShapeControl } from './IShapeControl';
import { Orientation } from '../../enums/Orientation';
/**
 * The line control interface defines the data object for the line component.
 */ export interface ILineControl extends IShapeControl {
    /**
     * Determines the direction in which the line is drawn (horizontal or vertical)
     */
    Orientation: Orientation;
}
