import { IBindableButtonControl } from './IBindableButtonControl';
import { IParallelReference } from './references/IParallelReference';
/**
 * The parallel button control interface defines the data object for the parallel button component.
 */ export interface IParallelButtonControl extends IBindableButtonControl {
    /**
     * Parallel button object reference
     */
    Reference: IParallelReference;
}
