import { IBaseControl } from './IBaseControl';
import { IColor } from '../IColor';
import { IHasFont } from './properties/IHasFont';
import { IHasSelectedName } from './properties/IHasSelectedName';
/**
 * The records errors involved fields control interface defines the data object for the records errors involved fields component.
 */ export interface IRecordErrorsInvolvedFieldsControl extends IBaseControl, IHasFont, IHasSelectedName {
    /**
     * Background color of a focused record error involved field
     */
    HoverBackgroundColor: IColor;
    /**
     * Font color of a focused record error involved field
     */
    HoverFontColor: IColor;
}
