import { IBaseControl } from './IBaseControl';
import { IHasText } from './properties/IHasText';
/**
 * The text control interface defines the data object for the text component.
 */ export interface ITextControl extends IBaseControl, IHasText {
    /**
     * The control name (id) for which this text control is a label (for accessibility)
     */
    LabelFor?: string;
}
