import { IHasFont } from './IHasFont';
import { IRichText } from '../../richText/IRichText';
/**
 * Extension to the IHasFont interface, contains a text property for rich texts
 */
export interface IHasText extends IHasFont {
    /**
     * Shown rich text
     */
    Text: IRichText;
}
