import { INameExpression } from './INameExpression';
/**
 * Composed name expression used to identify a property in a class structure
 */ export interface IComposedNameExpression extends INameExpression {
    /**
     * The property name
     */
    Child: string;
    /**
     * The class containing the property
     */
    Parent: INameExpression;
}
