import { IExpression } from './IExpression';
import { INameExpression } from './INameExpression';
/**
 * Indexed name expression is used to identify a value in a collection
 */ export interface IIndexedNameExpression extends INameExpression {
    /**
     * Name expression used to identify the collection from which to retrieve a value
     */
    Collection: INameExpression;
    /**
     * Index expression used to identify which element to retrieve from the collection
     */
    Index: IExpression;
}
