import { INameExpression } from './INameExpression';
/**
 * Method call expression used to
 */ export interface IMethodCallExpression extends INameExpression {
    /**
     * Definition of the object on which to invoke the method call
     */
    ObjectName: INameExpression;
    /**
     * Name of the method to execute
     */
    MethodName: string;
    /**
     * Method call arguments
     */
    Arguments: any[];
}
