import { IActionsEventHandler } from '../IActionsEventHandler';
export interface IMouseEventState {
    actions: IMouseEventActions;
    parentId: Nullable<string>;
    childIds: string[];
    isActive: boolean;
    isMouseOver?: boolean;
    isMouseUpPending?: boolean;
}
export interface IMouseEventActions {
    mouseEnterActions?: IActionsEventHandler;
    mouseLeaveActions?: IActionsEventHandler;
    mouseDownActions?: IActionsEventHandler;
    mouseUpActions?: IActionsEventHandler;
}
