import { IRichTextElement } from './IRichTextElement';
import { ITableColumn } from './ITableColumn';
import { ITableRow } from './ITableRow';
import { IBrush } from '../IBrush';
import { IColor } from '../IColor';
import { IThickness } from '../IThickness';
import { IGridLineDefinition } from './IGridLineDefinition';
export interface ITable extends IRichTextElement, IGridLineDefinition {
    Columns: ITableColumn[];
    Rows: ITableRow[];
    Background: IBrush;
    BorderColor: IColor;
    BorderWidth: IThickness;
    Margin: IThickness;
}
