import { IParagraph } from './IParagraph';
import { IBrush } from '../IBrush';
import { IColor } from '../IColor';
import { IThickness } from '../IThickness';
import { VerticalAlignment } from '../../enums/VerticalAlignment';
export interface ITableCell {
    SimpleText?: string;
    Paragraphs?: IParagraph[];
    RowSpan: number;
    ColSpan: number;
    Background: IBrush;
    BorderColor: IColor;
    BorderWidth: IThickness;
    ColumnIndex: number;
    Margin: IThickness;
    VerticalTextAlignment: VerticalAlignment;
}
