import { IRunElement } from './IRunElement';
import { IActionsEventHandler } from '../../IActionsEventHandler';
/**
 * The click actions element interface defines the data object for rich text elements with a modifiable click action (button, hyperlink and image).
 */
export interface IClickActionsElement extends IRunElement {
    /**
     * On click actions event handler
     */
    OnClick?: IActionsEventHandler;
}
