import { IUriElement } from './IUriElement';
import { IUnit } from '../../IUnit';
import { HorizontalAlignment } from '../../../enums/HorizontalAlignment';
import { VerticalAlignment } from '../../../enums/VerticalAlignment';
/**
 * Hyperlink actions element definition
 */ export interface IHyperlinkElement extends IUriElement {
    Height: IUnit;
    Width: IUnit;
    Text: string;
    LabelFor: string;
    HorizontalTextAlignment: HorizontalAlignment;
    VerticalTextAlignment: VerticalAlignment;
}
