import { ITextElement } from './ITextElement';
import { IUnit } from '../../IUnit';
import { HorizontalAlignment } from '../../../enums/HorizontalAlignment';
import { VerticalAlignment } from '../../../enums/VerticalAlignment';
/**
 * Label text element definition
 */ export interface ILabelElement extends ITextElement {
    Height: IUnit;
    Width: IUnit;
    LabelFor: string;
    HorizontalTextAlignment: HorizontalAlignment;
    VerticalTextAlignment: VerticalAlignment;
}
