import { IRunElement } from './IRunElement';
import { IColor } from '../../IColor';
import { IUnit } from '../../IUnit';
import { LineStyle } from '../../../enums/LineStyle';
/**
 * Shape run element definition
 */ export interface IShapeElement extends IRunElement {
    Height: IUnit;
    Width: IUnit;
    StrokeWidth: number;
    StrokeColor: IColor;
    StrokeStyle: LineStyle;
}
