import { IInvolvedField } from '../IInvolvedField';
import { IDictionary } from '../IDictionary';
import { RouteErrorCause } from '../../enums/RouteErrorCause';
import { ErrorKind } from '../../enums/ErrorKind';
export interface IBaseError {
    ErrorKind: ErrorKind;
    Name: string;
    RoleTexts?: IDictionary<string>;
    InvolvedFields?: IInvolvedField[];
    IsSuppressed: boolean;
    RouteErrorCause: RouteErrorCause;
}
