import { KeyboardNavigation } from '../../enums/KeyboardNavigation';
/**
 * Runtime settings
 */ export interface IRuntimeSettings {
    RefreshMode: number;
    HideSpecialAnswerFirstTime: boolean;
    HideSpecialAnswerWhenResponse: boolean;
    SolveErrorsImmediately: boolean;
    AuditTrailLevel: number;
    ApplyRecordLocking: boolean;
    CultureSource: number;
    DisableAutoFocus: boolean;
    UseSkipLinks: boolean;
    SessionTimeout: number;
    OptimizeNoStylesheets: boolean;
    KeyboardNavigation: KeyboardNavigation;
    AutoSelectInputContent: boolean;
    EnableGPS: boolean;
    HighGPSAccuracy: boolean;
    SkipShowFieldsAtKeyboardNavigation: boolean;
    UseCssGrids: boolean;
    AutoPanelScrollbars: boolean;
    AllowTranslate: boolean;
}
