import { IValueType } from './IValueType';
import { IClassificationDepth } from '../IClassificationDepth';
/**
 * Classification pseudo type definition
 */ export interface IClassificationPseudoType extends IValueType {
    /**
     * Classification depth kind (`any`, `Minimum` or `Complete`) and value
     */
    RequiredDepth?: IClassificationDepth;
    /**
     * Classification type name
     */
    TypeName?: string;
    /**
     * Classification library file name
     */
    LibraryFileName?: string;
}
