import { IValueType } from './IValueType';
import { IDateConstraints } from '../controls/properties/date-picker-settings/IDateConstraints';
/**
 * The date value type definition
 */
export interface IDateType extends IValueType, IDateConstraints {
    /**
     * When true, indicates that the value type is the date part of a date-time type
     */
    IncludeTime: boolean;
}
