import { IValueType } from './IValueType';
import { INumberRange } from '../INumberRange';
/**
 * Integer type definition
 */ export interface IIntegerType extends IValueType {
    /**
     * Maximum allowed length of the complete number string
     */
    MaxLength?: number;
    /**
     * List of ranges that represent valid values
     */
    Ranges?: INumberRange[];
}
