import { IValueType } from './IValueType';
/**
 * String type definition
 */ export interface IStringType extends IValueType {
    /**
     * Maximum length of the string input.
     */
    MaxLength?: number;
    /**
     * Input restriction in the form of a regular expression
     */
    Restriction?: string;
}
