import { IBaseComponentViewModel } from './IBaseViewModel';
import { IControlContainerViewModel } from './IControlContainerViewModel';
import { IGridUnit } from '../IGridUnit';
import { IColor } from '../IColor';
import { GridType } from '../../enums/GridType';
export interface ITableComponentViewModel extends IControlContainerViewModel {
    Rows?: ITableRowComponentViewModel[];
}
export interface ITableRowComponentViewModel extends IBaseComponentViewModel {
    rowIndex?: number;
    rowColor?: IColor;
    columns: IGridUnit[];
    isEvenRow?: boolean;
    gridLines?: GridType;
    gridLineWidth?: number;
    gridLineColor?: IColor;
}
